Bug 1459258 - AWS S3 deleting object store object(folder) that has another objects in it does nothing
AWS S3 deleting object store object(folder) that has another objects in it do...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Greg Blomquist
Matouš Mojžíš
s3:storage:ui:ec2
: ZStream
Depends On: 1444079
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 12:15 EDT by Satoe Imaishi
Modified: 2017-08-02 13:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1444079
Environment:
Last Closed: 2017-08-02 13:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-06 12:23:34 EDT
New commit detected on ManageIQ/manageiq-providers-amazon/fine:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/51c9e182a38088c4a3aa805c02addcecedf63347

commit 51c9e182a38088c4a3aa805c02addcecedf63347
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Tue May 2 09:30:52 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 12:15:56 2017 -0400

    Merge pull request #226 from miha-plesko/delete_s3_folder
    
    Support deletion of S3 folders
    (cherry picked from commit 5cb3108a20eb8a2f775dab75e07c8797152a9a55)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459258

 .../s3/cloud_object_store_object.rb                |  6 ++-
 .../storage_manager/s3/stubbed_refresher_spec.rb   | 56 ++++++++++++++++++++++
 2 files changed, 61 insertions(+), 1 deletion(-)
Comment 3 Matouš Mojžíš 2017-06-30 09:34:56 EDT
Verified in 5.8.1.0. Object(folder) was successfully deleted in CFME when it contained another objects.
Comment 5 errata-xmlrpc 2017-08-02 13:26:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.